function sxt_chk_era,index

;+
; NAME
;	sxt_chk_era
; PURPOSE
;	To identify entrance filter era boundaries within data sets.
; SAMPLE CALLING SEQUENCE
;	jj = sxt_chk_era(index)
; INPUT
;	index structure
; OUTPUT
;	Array of indices of those records just AFTER an era change.  
;	A -1 is returned if there is no era change in the data set.
; HISTORY
;	 4-Nov-99  LWA, Written.
;-

rr=tim2dset(index,get_yo_dates(/ent),offset=ds)
kk=where(rr gt 0 and rr lt n_elements(index)-1,nkk)
if nkk eq 0 then rr=kk else rr=rr(kk)
if nkk gt 0 then begin
   ii=where(ds(kk) lt 0,nn)
   if nn gt 0 then rr(ii)=rr(ii) + 1	;First indice AFTER era change.
endif

return,rr

end
